# SpriteEventArgs.Cancel Field
Used primarily in the CheckBeforeMove event. If you set cancel to true, then the move fails. You can use this to keep a Sprite from going places where it ought not to go.

SpriteLibrary

SpriteEventArgs Cancel Field

Used primarily in the CheckBeforeMove event. If you set cancel to true, then the move fails. You can use this to keep a Sprite from going places where it ought not to go.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public bool Cancel

#### Field Value

Type: Boolean
See Also

#### Reference

SpriteEventArgs Class
SpriteLibrary Namespace